<script lang="ts">
  import Root from 'bits-ui';
  import { cn, type WithoutChildren } from '$lib/utils/cn.svelte.js';

  let {
    ref = $bindable(null),
    class: className,
    ...restProps
  }: WithoutChildren<Root.Field.LegendProps> = $props();
</script>

<Root.Field.Legend
  bind:ref
  data-slot="field-legend"
  class={cn('text-sm leading-none font-medium select-none', className)}
  {...restProps}
/>